Bug 458772 - New stable upstream release available
New stable upstream release available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Ricker
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 03:47 EDT by Vitezslav Crhonek
Modified: 2009-04-21 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 09:50:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Crhonek 2008-08-12 03:47:26 EDT
Please update to latest upstream - http://oss.oetiker.ch/rrdtool/pub/rrdtool-1.3.1.tar.gz
Comment 1 Jarod Wilson 2008-08-12 09:39:02 EDT
rrdtool 1.3.1 committed to devel branch, building now...

http://koji.fedoraproject.org/koji/taskinfo?taskID=773718

Chris, I'll leave the rest to you. :)
Comment 2 Tom Chiverton 2008-09-13 07:26:06 EDT
The current released version of rrdtool is in fact segfaulting on my Fedora 8 system (and many others), this also breaks the Cacti package, for instance, which cant draw graphs.
I have rrdtool-1.3.2-1.fc9.x86_64 and running what Cacti runs (worked up untill the most recent upgrade (i.e. the ones with the new signing key)).

/usr/bin/rrdtool graph - --imgformat=PNG --start=-86400 --end=-300
--title="ADSL Line Rate" --base=1000 --height=120 --width=500
--alt-autoscale-max --lower-limit=0 --vertical-label="bytes/sec"
--slope-mode --font TITLE:8: --font AXIS:7: --font LEGEND:7: --font
UNIT:6:
DEF:a="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_51.rrd":snmp_oid:AVERAGE
DEF:b="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_51.rrd":snmp_oid:LAST
DEF:c="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_53.rrd":snmp_oid:AVERAGE
DEF:d="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_53.rrd":snmp_oid:LAST
DEF:e="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_52.rrd":snmp_oid:AVERAGE
DEF:f="/usr/share/cacti/rra/cupboard_adsl_router_snmp_oid_52.rrd":snmp_oid:LAST
AREA:a#FFC3C0B2:"Max (sync ?)"  GPRINT:b:LAST:"  %8.2lf%s\n" 
LINE2:c#00CF00FF:"Prev TX (rx ?)"  GPRINT:d:LAST:"%8.2lf%s" 
LINE2:e#4444FFFF:"Curr TX"  GPRINT:f:LAST:"       %8.2lf%s"
Segmentation fault

cacti work around is at http://forums.cacti.net/post-144178.html
Comment 3 Pierre Ossman 2008-09-14 15:48:44 EDT
Same problem here. :/
Comment 4 Jarod Wilson 2008-09-15 10:02:14 EDT
The segfault is filed as bug 462301, as well as upstream now:

http://oss.oetiker.ch/rrdtool-trac/ticket/184

Apologies, folks. :\
Comment 5 Nils Philippsen 2009-04-21 09:50:25 EDT
We seem to have 1.3.4 now in Rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.